メインコンテンツへスキップ
PUT
/
crm
/
v3
/
lists
/
{listId}
/
update-list-filters
リストフィルター定義を更新
curl --request PUT \
  --url https://api.hubapi.com/crm/v3/lists/{listId}/update-list-filters \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filterBranch": {
    "filterBranchType": "OR",
    "filterBranches": [
      {
        "filterBranchType": "AND",
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": {
              "operationType": "NUMBER",
              "operator": "IS_GREATER_THAN_OR_EQUAL_TO",
              "value": 12
            },
            "property": "hs_predictivecontactscore_v2"
          },
          {
            "filterType": "PROPERTY",
            "operation": {
              "operationType": "ALL_PROPERTY",
              "operator": "IS_UNKNOWN"
            },
            "property": "engagements_last_meeting_booked_source"
          },
          {
            "acceptedStatuses": [
              "OPT_IN"
            ],
            "filterType": "EMAIL_SUBSCRIPTION",
            "subscriptionIds": [
              "81537745",
              "321981152"
            ]
          }
        ]
      }
    ]
  }
}
'
{
  "updatedList": {
    "createdAt": "2023-11-15T20:11:50.293Z",
    "createdById": "123",
    "filterBranch": {
      "filterBranchOperator": "OR",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "AND",
          "filterBranchType": "AND",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": {
                "includeObjectsWithNoValueSet": false,
                "operationType": "NUMBER",
                "operator": "IS_GREATER_THAN_OR_EQUAL_TO",
                "value": 12
              },
              "property": "hs_predictivecontactscore_v2"
            },
            {
              "filterType": "PROPERTY",
              "operation": {
                "includeObjectsWithNoValueSet": false,
                "operationType": "ALL_PROPERTY",
                "operator": "IS_UNKNOWN"
              },
              "property": "engagements_last_meeting_booked_source"
            },
            {
              "acceptedStatuses": [
                "OPT_IN"
              ],
              "filterType": "EMAIL_SUBSCRIPTION",
              "subscriptionIds": [
                "321981152",
                "81537745"
              ],
              "subscriptionType": "SUBSCRIPTION"
            }
          ]
        }
      ]
    },
    "filtersUpdatedAt": "2023-11-15T23:50:12.690Z",
    "listId": "1",
    "listVersion": 2,
    "name": "Zero Size Test",
    "objectTypeId": "0-1",
    "processingStatus": "PROCESSING",
    "processingType": "DYNAMIC",
    "updatedAt": "2023-11-15T23:50:12.771Z",
    "updatedById": "123"
  }
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -無料ツール
Sales HubSales Hub -無料ツール
Service HubService Hub -無料ツール
Content HubContent Hub -無料ツール
この API には、次のいずれかのスコープが必要です。
cms.membership.access_groups.write
crm.lists.read
crm.lists.write

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

listId
string
必須

更新するリストのILS ID

クエリパラメータ

enrollObjectsInWorkflows
boolean
デフォルト:false

フィルターの変更時にリストに追加されるメンバーシップをこのリストに関連するワークフローに登録する必要があるかどうかを示すフラグ。

ボディ

application/json

The definition of the list filter branch update request.

filterBranch
OR · object
必須

リストの更新済みの絞り込み条件

レスポンス

Successful response

The updated definition of the list in response to a list update request.

updatedList
object

An object list definition.

Last modified on March 30, 2026